﻿@model Bacchus.Models.AuctionObjectModel
@{
    ViewBag.Title = "SortedIndex";
}

<h2>@Html.DisplayFor(model => model.ProductCategory)</h2>



@Html.ActionLink("See all offers", "Index", new { @class = "btn btn-sm btn-info" })




<!DOCTYPE html>
<html>
<head>
    <style>
        table {
            font-family: arial, sans-serif;
            border-collapse: collapse;
            width: 100%;
        }

        td, th {
            border: 1px solid #dddddd;
            text-align: center;
            padding: 8px;
        }

        /*tr:nth-child(even) {
                    background-color: #dddddd;
                }*/
    </style>
</head>


<table class="table">
    <tr>

        <th>
            Product
        </th>
        <th>
            Description
        </th>
        <th>
            Bidding end date
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model.AuctionObjects)
    {
        <tr>

            <td>
                @Html.DisplayFor(modelItem => item.productName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.productDescription)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.BiddingEndDateLocal)
            </td>
            <td>
                @Html.ActionLink("Make a bid", "Create", "Bids", new { ProductId = item.productId  }, new { @class = "btn btn-sm btn-info" })
            </td>
        </tr>
    }

</table>
